> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# updateKybInformation

> The `updateKybInformation` API is used to update KYB (Know Your Business) information that was previously provided during company onboarding.

### What it does:

- Updates existing KYB information for company onboarding
- Allows corrections to KYB data when the business is not currently in a pending KYB review state

### Updatable Fields:

| Field | Description |
|-------|-------------|
| **EIN (Employer Identification Number)** | Federal Tax Identification Number |
| **Entity Type** | Business structure (C Corp, S Corp, LLC, etc.) |
| **Date of Incorporation** | When the business was legally established |

### ⚠️ Important:
- KYB information cannot be updated when KYB status is `pending`. If KYB is currently under review, please contact support for assistance before making changes.
- If KYB fails, the KYB information becomes editable so it can be corrected and resubmitted using the initiateCompanyKyb API.



## OpenAPI

````yaml put /companyOnboarding/updateKybInformation
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /companyOnboarding/updateKybInformation:
    put:
      tags: []
      summary: updateKybInformation
      description: >-
        The `updateKybInformation` API is used to update KYB (Know Your
        Business) information that was previously provided during company
        onboarding.


        ### What it does:


        - Updates existing KYB information for company onboarding

        - Allows corrections to KYB data when the business is not currently in a
        pending KYB review state


        ### Updatable Fields:


        | Field | Description |

        |-------|-------------|

        | **EIN (Employer Identification Number)** | Federal Tax Identification
        Number |

        | **Entity Type** | Business structure (C Corp, S Corp, LLC, etc.) |

        | **Date of Incorporation** | When the business was legally established
        |


        ### ⚠️ Important:

        - KYB information cannot be updated when KYB status is `pending`. If KYB
        is currently under review, please contact support for assistance before
        making changes.

        - If KYB fails, the KYB information becomes editable so it can be
        corrected and resubmitted using the initiateCompanyKyb API.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: updateKybInformation
                kybInformation:
                  type: object
                  properties:
                    kybInformationId:
                      type: string
                    ein:
                      type: string
                    entityType:
                      type: string
                    dateOfIncorporation:
                      type: string
                  required:
                    - kybInformationId
              required:
                - method
                - kybInformation
            example:
              method: updateKybInformation
              kybInformation:
                kybInformationId: BEA64543-E6D3-4C0C-8B24-88F22B49E0FB
                ein: '258903006'
                entityType: LLC
                dateOfIncorporation: '2016-01-25'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  kybInformation:
                    type: object
                    properties:
                      kybInformationId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - kybInformationId
                      - status
                required:
                  - kybInformation
              examples:
                '1':
                  summary: Success
                  value:
                    kybInformation:
                      kybInformationId: BEA64543-E6D3-4C0C-8B24-88F22B49E0FB
                      status: KYB Pending
                      message: kybInformation has been updated successfully.
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 403
                      message: >-
                        Invalid kybInformationId. KybInformationId does not
                        exist.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                required:
                  - error
              example:
                error:
                  code: 403
                  message: Invalid kybInformationId. KybInformationId does not exist.
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````